"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.autoInitCommandDesc = exports.autoInitCommandSummary = exports.authLogoutCommandDesc = exports.authLogoutGroupDesc = exports.authLogoutGroupSummary = exports.authLoginShowTokenDesc = exports.authLoginCommandDesc = exports.authLoginGroupDesc = exports.authLoginGroupSummary = exports.authCategoryDesc = exports.authCategorySummary = exports.syntaxErrorHeader = exports.unexpectedCommandPreparationError = exports.unexpectedCommandError = exports.errorDetailsHeader = exports.couldNotInstantiateCommandHandler = exports.apiErrorHeader = void 0;
const constants_1 = require("../../constants");
exports.apiErrorHeader = {
    message: `${constants_1.Constants.FRAMEWORK_DISPLAY_NAME} API Error`
};
exports.couldNotInstantiateCommandHandler = {
    message: `Could not instantiate the handler {{commandHandler}} for ` +
        `command {{definitionName}}`
};
exports.errorDetailsHeader = {
    message: "Error Details:"
};
exports.unexpectedCommandError = {
    message: "Unexpected Command Error"
};
exports.unexpectedCommandPreparationError = {
    message: "An unexpected command preparation error occurred:"
};
exports.syntaxErrorHeader = {
    message: `\nSyntax Error`
};
exports.authCategorySummary = {
    message: `Connect to token-based authentication services`
};
exports.authCategoryDesc = {
    message: `${exports.authCategorySummary.message}.`
};
exports.authLoginGroupSummary = {
    message: `Log in to an authentication service`
};
exports.authLoginGroupDesc = {
    message: `${exports.authLoginGroupSummary.message}.`
};
exports.authLoginCommandDesc = {
    message: `Log in to {{type}} authentication service.`
};
exports.authLoginShowTokenDesc = {
    message: `Show the token when login is successful. If specified, does not save the token to a profile.`
};
exports.authLogoutGroupSummary = {
    message: `Log out of an authentication service`
};
exports.authLogoutGroupDesc = {
    message: `${exports.authLogoutGroupSummary.message}.`
};
exports.authLogoutCommandDesc = {
    message: `Log out of {{type}} authentication service.`
};
exports.autoInitCommandSummary = {
    message: `Automatically generate a config from {{source}}`
};
exports.autoInitCommandDesc = {
    message: `${exports.autoInitCommandSummary.message}.`
};
//# sourceMappingURL=CoreMessages.js.map